Subject: two problems w/ new perl encountered
From: "Thomas Mellman" <[email-masked]>
To: [email-masked]
Date: Fri, 14 Mar 2003 17:06:24 +0100

I just updated cygwin and now have two problems with the cygwin port of perl:

- in
    perl -d some-script
  I have to hit Enter two times for it to be recognized.

- man perlfunc now returns:

  No manual entry for perlfunc

  This wouldn't be so bad, because perldoc does work, sort of.  For a while now,
  however, it's terminfo entry has been screwed up - rather than intelligent curses
  effects, I get the expanded escape sequences.  Man works okay.

My perl:

Summary of my perl5 (revision 5.0 version 8 subversion 0) configuration:
  Platform:
    osname=cygwin, osvers=1.3.12(0.5432), archname=cygwin-multi-64int
    uname='cygwin_nt-5.0 kmbestst 1.3.12(0.5432) 2002-07-06 02:16 i686 unknown '
    config_args='-de -Dmksymlinks -Dusemultiplicity -Duse64bitint -Doptimize=-O2 -Dman3ext=3pm'
    hint=recommended, useposix=true, d_sigaction=define
    usethreads=undef use5005threads=undef useithreads=undef usemultiplicity=define
    useperlio=define d_sfio=undef uselargefiles=define usesocks=undef
    use64bitint=define use64bitall=undef uselongdouble=undef
    usemymalloc=y, bincompat5005=undef
  Compiler:
    cc='gcc', ccflags ='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing',
    optimize='-O2',
    cppflags='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing'
    ccversion='', gccversion='3.1.1 20020718 (prerelease)', gccosandvers=''
    intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=12345678
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12
    ivtype='long long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=4
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='ld2', ldflags =' -s -L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib /lib
    libs=-lgdbm -lcrypt -lutil
    perllibs=-lcrypt -lutil
    libc=/usr/lib/libc.a, so=dll, useshrplib=true, libperl=libperl.a
    gnulibc_version=''
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=dll, d_dlsymun=undef, ccdlflags=' -s'
    cccdlflags=' ', lddlflags=' -s -L/usr/local/lib'

Characteristics of this binary (from libperl): 
  Compile-time options: MULTIPLICITY USE_64_BIT_INT USE_LARGE_FILES PERL_IMPLICIT_CONTEXT
  Built under cygwin
  Compiled at Jul 24 2002 18:47:09
  %ENV:
    PERLLIB="/home/lib/perl5/local:/opt/lib/perl5/site_perl/5.6.1/cygwin-multi:/opt/lib/perl5/5.6.1/cygwin-multi:/opt/lib/perl5/site_perl/5.6.1:/opt/lib/perl5/5.6.1"
    CYGWIN="ntsec tty"
  @INC:
    /home/lib/perl5/local
    /opt/lib/perl5/site_perl/5.6.1/cygwin-multi
    /opt/lib/perl5/5.6.1/cygwin-multi
    /opt/lib/perl5/site_perl/5.6.1
    /opt/lib/perl5/5.6.1
    /usr/lib/perl5/5.8.0/cygwin-multi-64int
    /usr/lib/perl5/5.8.0
    /usr/lib/perl5/site_perl/5.8.0/cygwin-multi-64int
    /usr/lib/perl5/site_perl/5.8.0
    /usr/lib/perl5/site_perl
    .

My cygwin:

    CYGWIN_NT-4.0 xxx 1.3.21(0.77/3/2) 2003-03-12 00:24 i686 unknown unknown Cygwin

-- 

----------------
Thomas Mellman
[email-masked]
______________________________________________________________________________
Schon wieder Viren-Alarm? Bei WEB.DE FreeMail ist das kein Problem,
hier ist der Virencheck inklusive! http://freemail.web.de/features/?mc=021158

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/